PipeWire: spa_audio_aec_methods Struct Reference

PipeWire 1.6.8

Loading...
Searching...
No Matches
spa_audio_aec_methods Struct Reference

`#include <spa/interfaces/audio/aec.h>`

## Data Fields
uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct spa_audio_aec_events *events, void *data)
int(* | init )(void *object, const struct spa_dict *args, const struct spa_audio_info_raw *info)
int(* | run )(void *object, const float *rec[], const float *play[], float *out[], uint32_t n_samples)
int(* | set_props )(void *object, const struct spa_dict *args)
int(* | activate )(void *object)
int(* | deactivate )(void *object)
int(* | enum_props )(void *object, int index, struct spa_pod_builder *builder)
int(* | get_params )(void *object, struct spa_pod_builder *builder)
int(* | set_params )(void *object, const struct spa_pod *args)
int(* | init2 )(void *object, const struct spa_dict *args, struct spa_audio_info_raw *play_info, struct spa_audio_info_raw *rec_info, struct spa_audio_info_raw *out_info)

## Field Documentation

## ◆ version

uint32_t spa_audio_aec_methods::version

## ◆ add_listener

int(* spa_audio_aec_methods::add_listener) (void *object, struct spa_hook *listener, const struct spa_audio_aec_events *events, void *data)

## ◆ init

int(* spa_audio_aec_methods::init) (void *object, const struct spa_dict *args, const struct spa_audio_info_raw *info)

## ◆ run

int(* spa_audio_aec_methods::run) (void *object, const float *rec[], const float *play[], float *out[], uint32_t n_samples)

## ◆ set_props

int(* spa_audio_aec_methods::set_props) (void *object, const struct spa_dict *args)

## ◆ activate

int(* spa_audio_aec_methods::activate) (void *object)

## ◆ deactivate

int(* spa_audio_aec_methods::deactivate) (void *object)

## ◆ enum_props

int(* spa_audio_aec_methods::enum_props) (void *object, int index, struct spa_pod_builder *builder)

## ◆ get_params

int(* spa_audio_aec_methods::get_params) (void *object, struct spa_pod_builder *builder)

## ◆ set_params

int(* spa_audio_aec_methods::set_params) (void *object, const struct spa_pod *args)

## ◆ init2

int(* spa_audio_aec_methods::init2) (void *object, const struct spa_dict *args, struct spa_audio_info_raw *play_info, struct spa_audio_info_raw *rec_info, struct spa_audio_info_raw *out_info)

The documentation for this struct was generated from the following file:

- spa/interfaces/audio/aec.h